View Issue Details

IDProjectCategoryView StatusLast Update
0001344NoesisGUIC++ SDKpublic2018-11-24 01:33
Reportera.devaykinAssigned Tosfernandez 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.2.0b2 
Target Version2.2.0Fixed in Version2.2.0b4 
Summary0001344: TabControl.ContentTemplate only displayed when ContentPresenter is direct child of DataTamplate
DescriptionXAML markup that worked in the stable version does not work in preview as the title says. Here is the basic example:
...
<TabControl TabStripPlacement="Left" Height="300">
    <TabControl.ContentTemplate>
        <DataTemplate>
            <Grid>
                <ContentPresenter Content="{Binding}" Width="230" Margin="20" />
            </Grid>
            <!-- Uncomment this line and text will be visible! -->
            <!--<ContentPresenter Content="{Binding}" Width="230" Margin="20" />-->
        </DataTemplate>
    </TabControl.ContentTemplate>
...

Here if I wrap ContentPresenter in a Grid or other elements it won't be displayed when the tab is selected. Removing any wrappers and making ContentPresenter direct child of DataTemplate solves the problem, but the no custom content template layout is possible.
Steps To ReproduceCheck out the attached changed HelloWorld example from official Samples directory.
TagsNo tags attached.
PlatformWindows

Activities

a.devaykin

a.devaykin

2018-11-21 11:00

reporter  

HelloWorld.zip (47,514 bytes)

Issue History

Date Modified Username Field Change
2018-11-21 11:00 a.devaykin New Issue
2018-11-21 11:00 a.devaykin File Added: HelloWorld.zip
2018-11-22 10:31 sfernandez Assigned To => sfernandez
2018-11-22 10:31 sfernandez Status new => assigned
2018-11-22 10:31 sfernandez Target Version => 2.2.0
2018-11-24 01:33 sfernandez Status assigned => resolved
2018-11-24 01:33 sfernandez Resolution open => fixed
2018-11-24 01:33 sfernandez Fixed in Version => 2.2.0b4